Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nortel.soa.oi.cct.types
Class TerminalPropertyListenerSet

    java.lang.Object
      com.nortel.soa.oi.cct.types.TerminalPropertyListenerSet

All Implemented Interfaces:
  EventSet<TerminalProperty>, TerminalEntitySet, WildcardEntity, WildcardEvent

    public class TerminalPropertyListenerSet

extends java.lang.Object
implements TerminalEntitySet, EventSet<TerminalProperty>

Constructor Summary
`TerminalPropertyListenerSet()`

Method Summary
`boolean` | `add(Terminal entity)`
`boolean` | `contains(Terminal entity)`
`boolean` | `contains(TerminalProperty property)`
`java.util.EnumSet` | `getEventSet()`
`boolean` | `isEntityWildcard()`
`boolean` | `isEventWildcard()`
`java.util.Iterator<Terminal>` | `iterator()`
`void` | `setEntityWildcard(boolean wildcard)`
`void` | `setEventSet(java.util.EnumSet events)`
`void` | `setEventWildcard(boolean wildcard)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TerminalPropertyListenerSet

    public TerminalPropertyListenerSet()

Method Detail

### contains

    public boolean contains(Terminal entity)

  Specified by:
    `contains` in interface `TerminalEntitySet`

### add

    public boolean add(Terminal entity)

  Specified by:
    `add` in interface `TerminalEntitySet`

### iterator

    public java.util.Iterator<Terminal> iterator()

  Specified by:
    `iterator` in interface `TerminalEntitySet`

### isEntityWildcard

    public boolean isEntityWildcard()

  Specified by:
    `isEntityWildcard` in interface `WildcardEntity`

### setEntityWildcard

    public void setEntityWildcard(boolean wildcard)

  Specified by:
    `setEntityWildcard` in interface `WildcardEntity`

### contains

    public boolean contains(TerminalProperty property)

  Specified by:
    `contains` in interface `EventSet<TerminalProperty>`

### getEventSet

    public java.util.EnumSet getEventSet()

  Specified by:
    `getEventSet` in interface `EventSet<TerminalProperty>`

### setEventSet

    public void setEventSet(java.util.EnumSet events)

  Specified by:
    `setEventSet` in interface `EventSet<TerminalProperty>`

### isEventWildcard

    public boolean isEventWildcard()

  Specified by:
    `isEventWildcard` in interface `WildcardEvent`

### setEventWildcard

    public void setEventWildcard(boolean wildcard)

  Specified by:
    `setEventWildcard` in interface `WildcardEvent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 All Rights Reserved.